petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCreateFieldIS

Creates a set of IS objects with the global indices of dofs for each field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateFieldIS(DM dm, PetscInt *numFields, char ***fieldNames, IS **fields)

Not collective

### Input Parameter

dm -the DM object

### Output Parameters

| numFields | - The number of fields (or NULL if not requested)
| fieldNames | - The name for each field (or NULL if not requested)
| fields | - The global indices for each field (or NULL if not requested)

### Notes

The user is responsible for freeing all requested arrays. In particular, every entry of names should be freed with PetscFree(), every entry of fields should be destroyed with ISDestroy(), and both arrays should be freed with PetscFree().

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Implementations

DMCreateFieldIS_Composite in src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages